xcb_input_xi_warp_pointer(3)

NAME
xcb_input_xi_warp_pointer -

SYNOPSIS
#include <xcb/xinput.h>

  Request function

xcb_void_cookie_t xcb_input_xi_warp_pointer(xcb_connection_t *conn, xcb_window_t src_win, xcb_window_t dst_win, xcb_input_fp1616_t src_x, xcb_input_fp1616_t src_y, uint16_t src_width, uint16_t src_height, xcb_input_fp1616_t dst_x, xcb_input_fp1616_t dst_y, xcb_input_device_id_t deviceid);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

src_win
    TODO: NOT YET DOCUMENTED.

dst_win
    TODO: NOT YET DOCUMENTED.

src_x
    TODO: NOT YET DOCUMENTED.

src_y
    TODO: NOT YET DOCUMENTED.

src_width
    TODO: NOT YET DOCUMENTED.

src_height
    TODO: NOT YET DOCUMENTED.

dst_x
    TODO: NOT YET DOCUMENTED.

dst_y
    TODO: NOT YET DOCUMENTED.

deviceid
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop.

If you want to handle errors directly with xcb_request_check instead, use xcb_input_xi_warp_pointer_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xinput.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.